#   File:       math.make
#   Target:     math.mex
#   Sources:    Elladan:MPW:Interfaces:RIncludes:mathlink.r
#               math.c
#   Created:    Tuesday, October 10, 1993 01:03:07 AM

ResName 	=	"MEX0"			# don't change this

# Configurable defaults
MexDir   	=   "{Boot}MATLAB:mex:"
MexLibDir	=	"{MexDir}MPW:"

# Configurable build options

ObjDir		=	:
SrcDir		=	:
COpts 		=	-mc68020 -elems881 -r -b2 -sym full -mbg on -warnings off
LOpts		=	-w -c 'MATL' -t 'MEX0' -sym full
SpecialLOpts=	-br 020 -rt "{ResName}"=0 -sg MEX -m mexmain -srt 
ROpts		=	-c 'MATL' -t 'MEX0' -append -d MPREP_APPLICATION=0

MATHLINKLIB	=	"{Libraries}"MathLink881.o

MEXLIBS		=	"{MexLibDir}cmex.c.o" 
				#"{MexLibDir}cstdio.c.o"
				
LIBS		=	"{CLibraries}"CSANELib881.o 
				"{CLibraries}"CLib881.o 
				"{CLibraries}"Math881.o 
			   #"{CLibraries}"Complex.o 
				"{CLibraries}"StdClib.o 
				"{Libraries}"Runtime.o 
				"{Libraries}"Interface.o 

HDRS		=	{SrcDir}cmex.h
				
{ObjDir}		{SrcDir}

# Rez the MathLink resources
math.mex   math.make "{RIncludes}"mathlink.r
	Rez {ROpts} "{RIncludes}"mathlink.r -o math.mex

# Link the CODE resource
math.mex  math.make {ObjDir}math.c.o
	Link {LOpts} {SpecialLOpts} {MEXLIBS} {ObjDir}math.c.o {MATHLINKLIB} {LIBS} -o math.mex

# Compile the CODE resource
{ObjDir}math.c.o  math.make {SrcDir}math.c {HDRS}
	C {COpts}  {SrcDir}math.c -o {ObjDir}math.c.o

